summaryrefslogtreecommitdiffstats
path: root/tests/common
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-12-29 13:05:06 -0500
committerTavian Barnes <tavianator@tavianator.com>2022-12-29 13:05:24 -0500
commitb6859d7a6f7e0b3a3cb70fa75e7e46998e8f0f03 (patch)
tree9545197e6eec2423d6df2a2244ed759d24e0d9bd /tests/common
parent0040a91a6b3a192acfeec0ae1e24516b54ba872a (diff)
downloadbfs-b6859d7a6f7e0b3a3cb70fa75e7e46998e8f0f03.tar.xz
tests: Use bfs_sudo wrapper instead of testing $SUDO
Diffstat (limited to 'tests/common')
-rw-r--r--tests/common/L_mount.sh5
-rw-r--r--tests/common/inum_bind_mount.sh5
-rw-r--r--tests/common/inum_mount.sh5
-rw-r--r--tests/common/mount.sh5
4 files changed, 8 insertions, 12 deletions
diff --git a/tests/common/L_mount.sh b/tests/common/L_mount.sh
index 9ab785e..b04acd0 100644
--- a/tests/common/L_mount.sh
+++ b/tests/common/L_mount.sh
@@ -1,11 +1,10 @@
-test "$SUDO" || skip
test "$UNAME" = "Darwin" && skip
clean_scratch
mkdir scratch/{foo,mnt}
-sudo mount -t tmpfs tmpfs scratch/mnt
-trap "sudo umount scratch/mnt" EXIT
+bfs_sudo mount -t tmpfs tmpfs scratch/mnt || skip
+trap "bfs_sudo umount scratch/mnt" EXIT
ln -s ../mnt scratch/foo/bar
"$XTOUCH" scratch/mnt/baz
diff --git a/tests/common/inum_bind_mount.sh b/tests/common/inum_bind_mount.sh
index 625ee3d..ecb4ec3 100644
--- a/tests/common/inum_bind_mount.sh
+++ b/tests/common/inum_bind_mount.sh
@@ -1,10 +1,9 @@
-test "$SUDO" || skip
test "$UNAME" = "Linux" || skip
clean_scratch
"$XTOUCH" scratch/{foo,bar}
-sudo mount --bind scratch/{foo,bar}
-trap "sudo umount scratch/bar" EXIT
+bfs_sudo mount --bind scratch/{foo,bar} || skip
+trap "bfs_sudo umount scratch/bar" EXIT
bfs_diff scratch -inum "$(inum scratch/bar)"
diff --git a/tests/common/inum_mount.sh b/tests/common/inum_mount.sh
index 91d06e2..a4832e4 100644
--- a/tests/common/inum_mount.sh
+++ b/tests/common/inum_mount.sh
@@ -1,10 +1,9 @@
-test "$SUDO" || skip
test "$UNAME" = "Darwin" && skip
clean_scratch
mkdir scratch/{foo,mnt}
-sudo mount -t tmpfs tmpfs scratch/mnt
-trap "sudo umount scratch/mnt" EXIT
+bfs_sudo mount -t tmpfs tmpfs scratch/mnt || skip
+trap "bfs_sudo umount scratch/mnt" EXIT
bfs_diff scratch -inum "$(inum scratch/mnt)"
diff --git a/tests/common/mount.sh b/tests/common/mount.sh
index 3f3ed38..b13b43c 100644
--- a/tests/common/mount.sh
+++ b/tests/common/mount.sh
@@ -1,11 +1,10 @@
-test "$SUDO" || skip
test "$UNAME" = "Darwin" && skip
clean_scratch
mkdir scratch/{foo,mnt}
-sudo mount -t tmpfs tmpfs scratch/mnt
-trap "sudo umount scratch/mnt" EXIT
+bfs_sudo mount -t tmpfs tmpfs scratch/mnt || skip
+trap "bfs_sudo umount scratch/mnt" EXIT
"$XTOUCH" scratch/foo/bar scratch/mnt/baz